package service

import (
	"context"

	"git.gocasts.ir/ebhomengo/niki/domain/wallet/entity"
)

type Repository interface {
	GetTransactionListByUserID(ctx context.Context, UserID uint64) ([]entity.Transaction, error)
	GetWalletByUserID(ctx context.Context, UserID uint64) (entity.Wallet, error)
	InsertTransaction(ctx context.Context, transaction entity.Transaction) error
}

type Config struct {
}

type Service struct {
	repo Repository
	cfg  Config
}

func New(repo Repository, cfg Config) Service {

	return Service{repo: repo, cfg: cfg}

}
